%arco
function arc=arc(r,rho,theta)
theta_r=deg2rad(theta);
%Teorema Seni per trovare angolo intermedio
alpha_r=pi-asin((rho/r)*sin(theta_r));
alpha=rad2deg(alpha_r);
%Terzo angolo = angolo al centro
gamma=180-(alpha+theta);
arc=(gamma/360)*2*pi*r;
end